View Issue Details

IDProjectCategoryView StatusLast Update
0001007Xdebug(No Category)public2019-04-18 07:29
ReporterprxdevAssigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionnot fixable 
PlatformApache 2.2 / 2.4OSLinux / WindowsOS VersionFedora 17/ Windo
Product Version2.2.3 
Target VersionFixed in Version 
Summary0001007: Static Variables are showing "uninitialized" when stepping through the debug process
DescriptionI am calling a static class that I am initializing a static variable with a const then returning that variable to the caller.

Then end result is fine, it works.

The issue is, when I go into debug mode, initializing the variable is not happening. The values cannot be seen.

This caused a great deal of time troubleshooting an issue that a variable was not being initialized when it really was.

Steps To ReproduceRun the following code:

- index.php -
<?php
    include 'SimpleClass.php';
    
    echo SimpleClass::init();
?>

- SimpleClass.php -
<?php
class SimpleClass
{
    const HELLO = "HELLO";
    public static $hello;

    public static function init(){
        return self::displayVar();
    }
    
    private static function displayVar() {
        
        self::$hello = self::HELLO;
        return self::$hello;
    }
}
?>


Place a break point on the line "return self::$hello;" and check the values of the line "self::$hello = self::HELLO;"

You will see "self::$hello" is not initialized to a value, but letting the program run the expected result is obtained.

Additional InformationI have tested this on two different development environments. They are as follows:

Windows 8 Professional
Apache 2.4
PHP 5.5
xdebug 2.3
Eclipse Keppler

Linux (Fedora 17)
Apache 2.2
PHP 5.4
xdebug 2.3
Eclipse Keppler



This appears to only be an issue with static variables and functions. non static variables and functions are showing variables being initialized.
TagsNo tags attached.
Operating SystemLinux / Windows
PHP Version5.5.0-5.5.4

Activities

prxdev

2013-11-27 18:11

reporter  

uninitialized1.png (36,282 bytes)
uninitialized1.png (36,282 bytes)

derick

2013-12-03 23:57

administrator   ~0002629

I have just tried this myself with the simple debugger that comes with Xdebug, and this works just fine. I've just pushed a test case to https://github.com/derickr/xdebug/tree/issue1007-static-uninitialized

I am thinking that your IDE (Eclipse) is doing something wrong. Can you please make a debugging log as is described at http://xdebug.org/docs/remote#remote_log and then debug the code that you've given me? Please attach the log to this report when you're done.

prxdev

2013-12-05 16:41

reporter  

debug_log.txt (78,632 bytes)
Log opened at 2013-12-05 16:37:36
I: Connecting to configured address/port: localhost:9000.
I: Connected to client. :-)
-> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" fileuri="file:///C:/Apache24/htdocs/PHPDemo/index.php" language="PHP" protocol_version="1.0" appid="1872" idekey="ECLIPSE_DBGP"><engine version="2.2.3"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[http://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2013 by Derick Rethans]]></copyright></init>

<- feature_set -i 1 -n show_hidden -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="1" feature="show_hidden" success="1"></response>

<- feature_set -i 2 -n max_depth -v 3
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="2" feature="max_depth" success="1"></response>

<- feature_set -i 3 -n max_children -v 31
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="3" feature="max_children" success="1"></response>

<- feature_get -i 4 -n encoding
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_get" transaction_id="4" feature_name="encoding" supported="1"><![CDATA[iso-8859-1]]></response>

<- feature_get -i 5 -n supports_async
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_get" transaction_id="5" feature_name="supports_async" supported="1"><![CDATA[0]]></response>

<- stdout -i 6 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stdout" transaction_id="6" success="1"></response>

<- stderr -i 7 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stderr" transaction_id="7" success="0"></response>

<- breakpoint_set -i 8 -t line -f file:///C:%5CApache24%5Chtdocs%5CPHPDemo%5CSimpleClass.php -n 14
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="8" id="18720001"></response>

<- step_into -i 9
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="9" status="break" reason="ok"><xdebug:message filename="file:///C:/Apache24/htdocs/PHPDemo/index.php" lineno="2"></xdebug:message></response>

<- stack_get -i 10
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="10"><stack where="{main}" level="0" type="file" filename="file:///C:/Apache24/htdocs/PHPDemo/index.php" lineno="2"></stack></response>

<- context_get -i 11 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="11" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="59688696" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_ENV" fullname="$_ENV" address="59688968" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_FILES" fullname="$_FILES" address="59688832" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_GET" fullname="$_GET" address="59687416" type="array" children="1" numchildren="2" page="0" pagesize="31"><property name="XDEBUG_SESSION_START" fullname="$_GET[&#39;XDEBUG_SESSION_START&#39;]" address="59687904" type="string" size="12" encoding="base64"><![CDATA[RUNMSVBTRV9EQkdQ]]></property><property name="KEY" fullname="$_GET[&#39;KEY&#39;]" address="59688160" type="string" size="14" encoding="base64"><![CDATA[MTM4NjI2MTQ1NTk4MjE=]]></property></property><property name="$_POST" fullname="$_POST" address="59688560" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_REQUEST" fullname="$_REQUEST" address="59689104" type="array" children="1" numchildren="2" page="0" pagesize="31"><property name="XDEBUG_SESSION_START" fullname="$_REQUEST[&#39;XDEBUG_SESSION_START&#39;]" address="59687904" type="string" size="12" encoding="base64"><![CDATA[RUNMSVBTRV9EQkdQ]]></property><property name="KEY" fullname="$_REQUEST[&#39;KEY&#39;]" address="59688160" type="string" size="14" encoding="base64"><![CDATA[MTM4NjI2MTQ1NTk4MjE=]]></property></property><property name="$_SERVER" fullname="$_SERVER" address="59689400" type="array" children="1" numchildren="34" page="0" pagesize="31"><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" address="59689736" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" address="59690072" type="string" size="72" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgNi4yOyBXT1c2NDsgcnY6MjUuMCkgR2Vja28vMjAxMDAxMDEgRmlyZWZveC8yNS4w]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" address="59690400" type="string" size="63" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksKi8qO3E9MC44]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" address="59690648" type="string" size="14" encoding="base64"><![CDATA[ZW4tVVMsZW47cT0wLjU=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" address="59690904" type="string" size="13" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZQ==]]></property><property name="HTTP_DNT" fullname="$_SERVER[&#39;HTTP_DNT&#39;]" address="59691104" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" address="59691336" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="59692784" type="string" size="611" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xDb2xsYWJOZXRcU3VidmVyc2lvbiBDbGllbnQ7QzpcV2luZG93c1xzeXN0ZW0zMjtDOlxXaW5kb3dzO0M6XFdpbmRvd3NcU3lzdGVtMzJcV2JlbTtDOlxXaW5kb3dzXFN5c3RlbTMyXFdpbmRvd3NQb3dlclNoZWxsXHYxLjBcO0M6XFByb2dyYW0gRmlsZXNcTWljcm9zb2Z0XFdlYiBQbGF0Zm9ybSBJbnN0YWxsZXJcO0M6XFByb2dyYW0gRmlsZXMgKHg4NilcTWljcm9zb2Z0IEFTUC5ORVRcQVNQLk5FVCBXZWIgUGFnZXNcdjEuMFw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxXaW5kb3dzIEtpdHNcOC4wXFdpbmRvd3MgUGVyZm9ybWFuY2UgVG9vbGtpdFw7QzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMTBcVG9vbHNcQmlublw7QzpcUHJvZ3JhbSBGaWxlc1xUb3J0b2lzZVNWTlxiaW47YzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcVG9vbHNcQmlublw7YzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcVG9vbHNcQmlublw7YzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcRFRTXEJpbm5cO2M6XEFwYWNoZTI0O2M6XEFwYWNoZTI0XGJpbjs=]]></property><property name="SystemRoot" fullname="$_SERVER[&#39;SystemRoot&#39;]" address="59693080" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="COMSPEC" fullname="$_SERVER[&#39;COMSPEC&#39;]" address="59693328" type="string" size="27" encoding="base64"><![CDATA[QzpcV2luZG93c1xzeXN0ZW0zMlxjbWQuZXhl]]></property><property name="PATHEXT" fullname="$_SERVER[&#39;PATHEXT&#39;]" address="59693632" type="string" size="53" encoding="base64"><![CDATA[LkNPTTsuRVhFOy5CQVQ7LkNNRDsuVkJTOy5WQkU7LkpTOy5KU0U7LldTRjsuV1NIOy5NU0M=]]></property><property name="WINDIR" fullname="$_SERVER[&#39;WINDIR&#39;]" address="59693832" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" address="59694064" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" address="59694328" type="string" size="30" encoding="base64"><![CDATA[QXBhY2hlLzIuNC42IChXaW4zMikgUEhQLzUuNS41]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" address="59694560" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" address="59694768" type="string" size="3" encoding="base64"><![CDATA[Ojox]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" address="59695112" type="string" size="2" encoding="base64"><![CDATA[ODA=]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" address="59695456" type="string" size="3" encoding="base64"><![CDATA[Ojox]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="59695704" type="string" size="18" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2Nz]]></property><property name="REQUEST_SCHEME" fullname="$_SERVER[&#39;REQUEST_SCHEME&#39;]" address="59695928" type="string" size="4" encoding="base64"><![CDATA[aHR0cA==]]></property><property name="CONTEXT_PREFIX" fullname="$_SERVER[&#39;CONTEXT_PREFIX&#39;]" address="59696152" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="CONTEXT_DOCUMENT_ROOT" fullname="$_SERVER[&#39;CONTEXT_DOCUMENT_ROOT&#39;]" address="59696376" type="string" size="18" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2Nz]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" address="59696536" type="string" size="17" encoding="base64"><![CDATA[YWRtaW5AZXhhbXBsZS5jb20=]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="59696824" type="string" size="36" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2NzL1BIUERlbW8vaW5kZXgucGhw]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" address="59697040" type="string" size="5" encoding="base64"><![CDATA[NjQyNzg=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" address="59697288" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" address="59697496" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" address="59697720" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" address="59698040" type="string" size="52" encoding="base64"><![CDATA[WERFQlVHX1NFU1NJT05fU1RBUlQ9RUNMSVBTRV9EQkdQJktFWT0xMzg2MjYxNDU1OTgyMQ==]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" address="59698384" type="string" size="71" encoding="base64"><![CDATA[L1BIUERlbW8vaW5kZXgucGhwP1hERUJVR19TRVNTSU9OX1NUQVJUPUVDTElQU0VfREJHUCZLRVk9MTM4NjI2MTQ1NTk4MjE=]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="59698624" type="string" size="18" encoding="base64"><![CDATA[L1BIUERlbW8vaW5kZXgucGhw]]></property></property></response>

<- context_get -i 12 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="12" context="0"></response>

<- step_into -i 13
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="13" status="break" reason="ok"><xdebug:message filename="file:///C:/Apache24/htdocs/PHPDemo/SimpleClass.php" lineno="3"></xdebug:message></response>

<- stack_get -i 14
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="14"><stack where="include" level="0" type="file" filename="file:///C:/Apache24/htdocs/PHPDemo/SimpleClass.php" lineno="3"></stack><stack where="{main}" level="1" type="file" filename="file:///C:/Apache24/htdocs/PHPDemo/index.php" lineno="2"></stack></response>

<- context_get -i 15 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="15" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="59688696" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_ENV" fullname="$_ENV" address="59688968" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_FILES" fullname="$_FILES" address="59688832" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_GET" fullname="$_GET" address="59687416" type="array" children="1" numchildren="2" page="0" pagesize="31"><property name="XDEBUG_SESSION_START" fullname="$_GET[&#39;XDEBUG_SESSION_START&#39;]" address="59687904" type="string" size="12" encoding="base64"><![CDATA[RUNMSVBTRV9EQkdQ]]></property><property name="KEY" fullname="$_GET[&#39;KEY&#39;]" address="59688160" type="string" size="14" encoding="base64"><![CDATA[MTM4NjI2MTQ1NTk4MjE=]]></property></property><property name="$_POST" fullname="$_POST" address="59688560" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_REQUEST" fullname="$_REQUEST" address="59689104" type="array" children="1" numchildren="2" page="0" pagesize="31"><property name="XDEBUG_SESSION_START" fullname="$_REQUEST[&#39;XDEBUG_SESSION_START&#39;]" address="59687904" type="string" size="12" encoding="base64"><![CDATA[RUNMSVBTRV9EQkdQ]]></property><property name="KEY" fullname="$_REQUEST[&#39;KEY&#39;]" address="59688160" type="string" size="14" encoding="base64"><![CDATA[MTM4NjI2MTQ1NTk4MjE=]]></property></property><property name="$_SERVER" fullname="$_SERVER" address="59689400" type="array" children="1" numchildren="34" page="0" pagesize="31"><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" address="59689736" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" address="59690072" type="string" size="72" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgNi4yOyBXT1c2NDsgcnY6MjUuMCkgR2Vja28vMjAxMDAxMDEgRmlyZWZveC8yNS4w]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" address="59690400" type="string" size="63" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksKi8qO3E9MC44]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" address="59690648" type="string" size="14" encoding="base64"><![CDATA[ZW4tVVMsZW47cT0wLjU=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" address="59690904" type="string" size="13" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZQ==]]></property><property name="HTTP_DNT" fullname="$_SERVER[&#39;HTTP_DNT&#39;]" address="59691104" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" address="59691336" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="59692784" type="string" size="611" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xDb2xsYWJOZXRcU3VidmVyc2lvbiBDbGllbnQ7QzpcV2luZG93c1xzeXN0ZW0zMjtDOlxXaW5kb3dzO0M6XFdpbmRvd3NcU3lzdGVtMzJcV2JlbTtDOlxXaW5kb3dzXFN5c3RlbTMyXFdpbmRvd3NQb3dlclNoZWxsXHYxLjBcO0M6XFByb2dyYW0gRmlsZXNcTWljcm9zb2Z0XFdlYiBQbGF0Zm9ybSBJbnN0YWxsZXJcO0M6XFByb2dyYW0gRmlsZXMgKHg4NilcTWljcm9zb2Z0IEFTUC5ORVRcQVNQLk5FVCBXZWIgUGFnZXNcdjEuMFw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxXaW5kb3dzIEtpdHNcOC4wXFdpbmRvd3MgUGVyZm9ybWFuY2UgVG9vbGtpdFw7QzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMTBcVG9vbHNcQmlublw7QzpcUHJvZ3JhbSBGaWxlc1xUb3J0b2lzZVNWTlxiaW47YzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcVG9vbHNcQmlublw7YzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcVG9vbHNcQmlublw7YzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcRFRTXEJpbm5cO2M6XEFwYWNoZTI0O2M6XEFwYWNoZTI0XGJpbjs=]]></property><property name="SystemRoot" fullname="$_SERVER[&#39;SystemRoot&#39;]" address="59693080" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="COMSPEC" fullname="$_SERVER[&#39;COMSPEC&#39;]" address="59693328" type="string" size="27" encoding="base64"><![CDATA[QzpcV2luZG93c1xzeXN0ZW0zMlxjbWQuZXhl]]></property><property name="PATHEXT" fullname="$_SERVER[&#39;PATHEXT&#39;]" address="59693632" type="string" size="53" encoding="base64"><![CDATA[LkNPTTsuRVhFOy5CQVQ7LkNNRDsuVkJTOy5WQkU7LkpTOy5KU0U7LldTRjsuV1NIOy5NU0M=]]></property><property name="WINDIR" fullname="$_SERVER[&#39;WINDIR&#39;]" address="59693832" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" address="59694064" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" address="59694328" type="string" size="30" encoding="base64"><![CDATA[QXBhY2hlLzIuNC42IChXaW4zMikgUEhQLzUuNS41]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" address="59694560" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" address="59694768" type="string" size="3" encoding="base64"><![CDATA[Ojox]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" address="59695112" type="string" size="2" encoding="base64"><![CDATA[ODA=]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" address="59695456" type="string" size="3" encoding="base64"><![CDATA[Ojox]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="59695704" type="string" size="18" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2Nz]]></property><property name="REQUEST_SCHEME" fullname="$_SERVER[&#39;REQUEST_SCHEME&#39;]" address="59695928" type="string" size="4" encoding="base64"><![CDATA[aHR0cA==]]></property><property name="CONTEXT_PREFIX" fullname="$_SERVER[&#39;CONTEXT_PREFIX&#39;]" address="59696152" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="CONTEXT_DOCUMENT_ROOT" fullname="$_SERVER[&#39;CONTEXT_DOCUMENT_ROOT&#39;]" address="59696376" type="string" size="18" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2Nz]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" address="59696536" type="string" size="17" encoding="base64"><![CDATA[YWRtaW5AZXhhbXBsZS5jb20=]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="59696824" type="string" size="36" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2NzL1BIUERlbW8vaW5kZXgucGhw]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" address="59697040" type="string" size="5" encoding="base64"><![CDATA[NjQyNzg=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" address="59697288" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" address="59697496" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" address="59697720" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" address="59698040" type="string" size="52" encoding="base64"><![CDATA[WERFQlVHX1NFU1NJT05fU1RBUlQ9RUNMSVBTRV9EQkdQJktFWT0xMzg2MjYxNDU1OTgyMQ==]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" address="59698384" type="string" size="71" encoding="base64"><![CDATA[L1BIUERlbW8vaW5kZXgucGhwP1hERUJVR19TRVNTSU9OX1NUQVJUPUVDTElQU0VfREJHUCZLRVk9MTM4NjI2MTQ1NTk4MjE=]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="59698624" type="string" size="18" encoding="base64"><![CDATA[L1BIUERlbW8vaW5kZXgucGhw]]></property></property></response>

<- context_get -i 16 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="16" context="0"></response>

<- step_into -i 17
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="17" status="break" reason="ok"><xdebug:message filename="file:///C:/Apache24/htdocs/PHPDemo/SimpleClass.php" lineno="18"></xdebug:message></response>

<- stack_get -i 18
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="18"><stack where="include" level="0" type="file" filename="file:///C:/Apache24/htdocs/PHPDemo/SimpleClass.php" lineno="18"></stack><stack where="{main}" level="1" type="file" filename="file:///C:/Apache24/htdocs/PHPDemo/index.php" lineno="2"></stack></response>

<- context_get -i 19 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="19" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="59688696" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_ENV" fullname="$_ENV" address="59688968" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_FILES" fullname="$_FILES" address="59688832" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_GET" fullname="$_GET" address="59687416" type="array" children="1" numchildren="2" page="0" pagesize="31"><property name="XDEBUG_SESSION_START" fullname="$_GET[&#39;XDEBUG_SESSION_START&#39;]" address="59687904" type="string" size="12" encoding="base64"><![CDATA[RUNMSVBTRV9EQkdQ]]></property><property name="KEY" fullname="$_GET[&#39;KEY&#39;]" address="59688160" type="string" size="14" encoding="base64"><![CDATA[MTM4NjI2MTQ1NTk4MjE=]]></property></property><property name="$_POST" fullname="$_POST" address="59688560" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_REQUEST" fullname="$_REQUEST" address="59689104" type="array" children="1" numchildren="2" page="0" pagesize="31"><property name="XDEBUG_SESSION_START" fullname="$_REQUEST[&#39;XDEBUG_SESSION_START&#39;]" address="59687904" type="string" size="12" encoding="base64"><![CDATA[RUNMSVBTRV9EQkdQ]]></property><property name="KEY" fullname="$_REQUEST[&#39;KEY&#39;]" address="59688160" type="string" size="14" encoding="base64"><![CDATA[MTM4NjI2MTQ1NTk4MjE=]]></property></property><property name="$_SERVER" fullname="$_SERVER" address="59689400" type="array" children="1" numchildren="34" page="0" pagesize="31"><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" address="59689736" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" address="59690072" type="string" size="72" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgNi4yOyBXT1c2NDsgcnY6MjUuMCkgR2Vja28vMjAxMDAxMDEgRmlyZWZveC8yNS4w]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" address="59690400" type="string" size="63" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksKi8qO3E9MC44]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" address="59690648" type="string" size="14" encoding="base64"><![CDATA[ZW4tVVMsZW47cT0wLjU=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" address="59690904" type="string" size="13" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZQ==]]></property><property name="HTTP_DNT" fullname="$_SERVER[&#39;HTTP_DNT&#39;]" address="59691104" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" address="59691336" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="59692784" type="string" size="611" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xDb2xsYWJOZXRcU3VidmVyc2lvbiBDbGllbnQ7QzpcV2luZG93c1xzeXN0ZW0zMjtDOlxXaW5kb3dzO0M6XFdpbmRvd3NcU3lzdGVtMzJcV2JlbTtDOlxXaW5kb3dzXFN5c3RlbTMyXFdpbmRvd3NQb3dlclNoZWxsXHYxLjBcO0M6XFByb2dyYW0gRmlsZXNcTWljcm9zb2Z0XFdlYiBQbGF0Zm9ybSBJbnN0YWxsZXJcO0M6XFByb2dyYW0gRmlsZXMgKHg4NilcTWljcm9zb2Z0IEFTUC5ORVRcQVNQLk5FVCBXZWIgUGFnZXNcdjEuMFw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxXaW5kb3dzIEtpdHNcOC4wXFdpbmRvd3MgUGVyZm9ybWFuY2UgVG9vbGtpdFw7QzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMTBcVG9vbHNcQmlublw7QzpcUHJvZ3JhbSBGaWxlc1xUb3J0b2lzZVNWTlxiaW47YzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcVG9vbHNcQmlublw7YzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcVG9vbHNcQmlublw7YzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcRFRTXEJpbm5cO2M6XEFwYWNoZTI0O2M6XEFwYWNoZTI0XGJpbjs=]]></property><property name="SystemRoot" fullname="$_SERVER[&#39;SystemRoot&#39;]" address="59693080" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="COMSPEC" fullname="$_SERVER[&#39;COMSPEC&#39;]" address="59693328" type="string" size="27" encoding="base64"><![CDATA[QzpcV2luZG93c1xzeXN0ZW0zMlxjbWQuZXhl]]></property><property name="PATHEXT" fullname="$_SERVER[&#39;PATHEXT&#39;]" address="59693632" type="string" size="53" encoding="base64"><![CDATA[LkNPTTsuRVhFOy5CQVQ7LkNNRDsuVkJTOy5WQkU7LkpTOy5KU0U7LldTRjsuV1NIOy5NU0M=]]></property><property name="WINDIR" fullname="$_SERVER[&#39;WINDIR&#39;]" address="59693832" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" address="59694064" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" address="59694328" type="string" size="30" encoding="base64"><![CDATA[QXBhY2hlLzIuNC42IChXaW4zMikgUEhQLzUuNS41]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" address="59694560" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" address="59694768" type="string" size="3" encoding="base64"><![CDATA[Ojox]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" address="59695112" type="string" size="2" encoding="base64"><![CDATA[ODA=]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" address="59695456" type="string" size="3" encoding="base64"><![CDATA[Ojox]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="59695704" type="string" size="18" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2Nz]]></property><property name="REQUEST_SCHEME" fullname="$_SERVER[&#39;REQUEST_SCHEME&#39;]" address="59695928" type="string" size="4" encoding="base64"><![CDATA[aHR0cA==]]></property><property name="CONTEXT_PREFIX" fullname="$_SERVER[&#39;CONTEXT_PREFIX&#39;]" address="59696152" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="CONTEXT_DOCUMENT_ROOT" fullname="$_SERVER[&#39;CONTEXT_DOCUMENT_ROOT&#39;]" address="59696376" type="string" size="18" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2Nz]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" address="59696536" type="string" size="17" encoding="base64"><![CDATA[YWRtaW5AZXhhbXBsZS5jb20=]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="59696824" type="string" size="36" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2NzL1BIUERlbW8vaW5kZXgucGhw]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" address="59697040" type="string" size="5" encoding="base64"><![CDATA[NjQyNzg=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" address="59697288" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" address="59697496" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" address="59697720" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" address="59698040" type="string" size="52" encoding="base64"><![CDATA[WERFQlVHX1NFU1NJT05fU1RBUlQ9RUNMSVBTRV9EQkdQJktFWT0xMzg2MjYxNDU1OTgyMQ==]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" address="59698384" type="string" size="71" encoding="base64"><![CDATA[L1BIUERlbW8vaW5kZXgucGhwP1hERUJVR19TRVNTSU9OX1NUQVJUPUVDTElQU0VfREJHUCZLRVk9MTM4NjI2MTQ1NTk4MjE=]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="59698624" type="string" size="18" encoding="base64"><![CDATA[L1BIUERlbW8vaW5kZXgucGhw]]></property></property></response>

<- context_get -i 20 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="20" context="0"></response>

<- step_into -i 21
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="21" status="break" reason="ok"><xdebug:message filename="file:///C:/Apache24/htdocs/PHPDemo/index.php" lineno="4"></xdebug:message></response>

<- stack_get -i 22
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="22"><stack where="{main}" level="0" type="file" filename="file:///C:/Apache24/htdocs/PHPDemo/index.php" lineno="4"></stack></response>

<- context_get -i 23 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="23" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="59688696" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_ENV" fullname="$_ENV" address="59688968" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_FILES" fullname="$_FILES" address="59688832" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_GET" fullname="$_GET" address="59687416" type="array" children="1" numchildren="2" page="0" pagesize="31"><property name="XDEBUG_SESSION_START" fullname="$_GET[&#39;XDEBUG_SESSION_START&#39;]" address="59687904" type="string" size="12" encoding="base64"><![CDATA[RUNMSVBTRV9EQkdQ]]></property><property name="KEY" fullname="$_GET[&#39;KEY&#39;]" address="59688160" type="string" size="14" encoding="base64"><![CDATA[MTM4NjI2MTQ1NTk4MjE=]]></property></property><property name="$_POST" fullname="$_POST" address="59688560" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_REQUEST" fullname="$_REQUEST" address="59689104" type="array" children="1" numchildren="2" page="0" pagesize="31"><property name="XDEBUG_SESSION_START" fullname="$_REQUEST[&#39;XDEBUG_SESSION_START&#39;]" address="59687904" type="string" size="12" encoding="base64"><![CDATA[RUNMSVBTRV9EQkdQ]]></property><property name="KEY" fullname="$_REQUEST[&#39;KEY&#39;]" address="59688160" type="string" size="14" encoding="base64"><![CDATA[MTM4NjI2MTQ1NTk4MjE=]]></property></property><property name="$_SERVER" fullname="$_SERVER" address="59689400" type="array" children="1" numchildren="34" page="0" pagesize="31"><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" address="59689736" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" address="59690072" type="string" size="72" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgNi4yOyBXT1c2NDsgcnY6MjUuMCkgR2Vja28vMjAxMDAxMDEgRmlyZWZveC8yNS4w]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" address="59690400" type="string" size="63" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksKi8qO3E9MC44]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" address="59690648" type="string" size="14" encoding="base64"><![CDATA[ZW4tVVMsZW47cT0wLjU=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" address="59690904" type="string" size="13" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZQ==]]></property><property name="HTTP_DNT" fullname="$_SERVER[&#39;HTTP_DNT&#39;]" address="59691104" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" address="59691336" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="59692784" type="string" size="611" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xDb2xsYWJOZXRcU3VidmVyc2lvbiBDbGllbnQ7QzpcV2luZG93c1xzeXN0ZW0zMjtDOlxXaW5kb3dzO0M6XFdpbmRvd3NcU3lzdGVtMzJcV2JlbTtDOlxXaW5kb3dzXFN5c3RlbTMyXFdpbmRvd3NQb3dlclNoZWxsXHYxLjBcO0M6XFByb2dyYW0gRmlsZXNcTWljcm9zb2Z0XFdlYiBQbGF0Zm9ybSBJbnN0YWxsZXJcO0M6XFByb2dyYW0gRmlsZXMgKHg4NilcTWljcm9zb2Z0IEFTUC5ORVRcQVNQLk5FVCBXZWIgUGFnZXNcdjEuMFw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxXaW5kb3dzIEtpdHNcOC4wXFdpbmRvd3MgUGVyZm9ybWFuY2UgVG9vbGtpdFw7QzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMTBcVG9vbHNcQmlublw7QzpcUHJvZ3JhbSBGaWxlc1xUb3J0b2lzZVNWTlxiaW47YzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcVG9vbHNcQmlublw7YzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcVG9vbHNcQmlublw7YzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcRFRTXEJpbm5cO2M6XEFwYWNoZTI0O2M6XEFwYWNoZTI0XGJpbjs=]]></property><property name="SystemRoot" fullname="$_SERVER[&#39;SystemRoot&#39;]" address="59693080" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="COMSPEC" fullname="$_SERVER[&#39;COMSPEC&#39;]" address="59693328" type="string" size="27" encoding="base64"><![CDATA[QzpcV2luZG93c1xzeXN0ZW0zMlxjbWQuZXhl]]></property><property name="PATHEXT" fullname="$_SERVER[&#39;PATHEXT&#39;]" address="59693632" type="string" size="53" encoding="base64"><![CDATA[LkNPTTsuRVhFOy5CQVQ7LkNNRDsuVkJTOy5WQkU7LkpTOy5KU0U7LldTRjsuV1NIOy5NU0M=]]></property><property name="WINDIR" fullname="$_SERVER[&#39;WINDIR&#39;]" address="59693832" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" address="59694064" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" address="59694328" type="string" size="30" encoding="base64"><![CDATA[QXBhY2hlLzIuNC42IChXaW4zMikgUEhQLzUuNS41]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" address="59694560" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" address="59694768" type="string" size="3" encoding="base64"><![CDATA[Ojox]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" address="59695112" type="string" size="2" encoding="base64"><![CDATA[ODA=]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" address="59695456" type="string" size="3" encoding="base64"><![CDATA[Ojox]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="59695704" type="string" size="18" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2Nz]]></property><property name="REQUEST_SCHEME" fullname="$_SERVER[&#39;REQUEST_SCHEME&#39;]" address="59695928" type="string" size="4" encoding="base64"><![CDATA[aHR0cA==]]></property><property name="CONTEXT_PREFIX" fullname="$_SERVER[&#39;CONTEXT_PREFIX&#39;]" address="59696152" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="CONTEXT_DOCUMENT_ROOT" fullname="$_SERVER[&#39;CONTEXT_DOCUMENT_ROOT&#39;]" address="59696376" type="string" size="18" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2Nz]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" address="59696536" type="string" size="17" encoding="base64"><![CDATA[YWRtaW5AZXhhbXBsZS5jb20=]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="59696824" type="string" size="36" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2NzL1BIUERlbW8vaW5kZXgucGhw]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" address="59697040" type="string" size="5" encoding="base64"><![CDATA[NjQyNzg=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" address="59697288" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" address="59697496" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" address="59697720" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" address="59698040" type="string" size="52" encoding="base64"><![CDATA[WERFQlVHX1NFU1NJT05fU1RBUlQ9RUNMSVBTRV9EQkdQJktFWT0xMzg2MjYxNDU1OTgyMQ==]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" address="59698384" type="string" size="71" encoding="base64"><![CDATA[L1BIUERlbW8vaW5kZXgucGhwP1hERUJVR19TRVNTSU9OX1NUQVJUPUVDTElQU0VfREJHUCZLRVk9MTM4NjI2MTQ1NTk4MjE=]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="59698624" type="string" size="18" encoding="base64"><![CDATA[L1BIUERlbW8vaW5kZXgucGhw]]></property></property></response>

<- context_get -i 24 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="24" context="0"></response>

<- step_into -i 25
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="25" status="break" reason="ok"><xdebug:message filename="file:///C:/Apache24/htdocs/PHPDemo/SimpleClass.php" lineno="8"></xdebug:message></response>

<- stack_get -i 26
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="26"><stack where="SimpleClass::init" level="0" type="file" filename="file:///C:/Apache24/htdocs/PHPDemo/SimpleClass.php" lineno="8"></stack><stack where="{main}" level="1" type="file" filename="file:///C:/Apache24/htdocs/PHPDemo/index.php" lineno="4"></stack></response>

<- context_get -i 27 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="27" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="59688696" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_ENV" fullname="$_ENV" address="59688968" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_FILES" fullname="$_FILES" address="59688832" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_GET" fullname="$_GET" address="59687416" type="array" children="1" numchildren="2" page="0" pagesize="31"><property name="XDEBUG_SESSION_START" fullname="$_GET[&#39;XDEBUG_SESSION_START&#39;]" address="59687904" type="string" size="12" encoding="base64"><![CDATA[RUNMSVBTRV9EQkdQ]]></property><property name="KEY" fullname="$_GET[&#39;KEY&#39;]" address="59688160" type="string" size="14" encoding="base64"><![CDATA[MTM4NjI2MTQ1NTk4MjE=]]></property></property><property name="$_POST" fullname="$_POST" address="59688560" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_REQUEST" fullname="$_REQUEST" address="59689104" type="array" children="1" numchildren="2" page="0" pagesize="31"><property name="XDEBUG_SESSION_START" fullname="$_REQUEST[&#39;XDEBUG_SESSION_START&#39;]" address="59687904" type="string" size="12" encoding="base64"><![CDATA[RUNMSVBTRV9EQkdQ]]></property><property name="KEY" fullname="$_REQUEST[&#39;KEY&#39;]" address="59688160" type="string" size="14" encoding="base64"><![CDATA[MTM4NjI2MTQ1NTk4MjE=]]></property></property><property name="$_SERVER" fullname="$_SERVER" address="59689400" type="array" children="1" numchildren="34" page="0" pagesize="31"><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" address="59689736" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" address="59690072" type="string" size="72" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgNi4yOyBXT1c2NDsgcnY6MjUuMCkgR2Vja28vMjAxMDAxMDEgRmlyZWZveC8yNS4w]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" address="59690400" type="string" size="63" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksKi8qO3E9MC44]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" address="59690648" type="string" size="14" encoding="base64"><![CDATA[ZW4tVVMsZW47cT0wLjU=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" address="59690904" type="string" size="13" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZQ==]]></property><property name="HTTP_DNT" fullname="$_SERVER[&#39;HTTP_DNT&#39;]" address="59691104" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" address="59691336" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="59692784" type="string" size="611" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xDb2xsYWJOZXRcU3VidmVyc2lvbiBDbGllbnQ7QzpcV2luZG93c1xzeXN0ZW0zMjtDOlxXaW5kb3dzO0M6XFdpbmRvd3NcU3lzdGVtMzJcV2JlbTtDOlxXaW5kb3dzXFN5c3RlbTMyXFdpbmRvd3NQb3dlclNoZWxsXHYxLjBcO0M6XFByb2dyYW0gRmlsZXNcTWljcm9zb2Z0XFdlYiBQbGF0Zm9ybSBJbnN0YWxsZXJcO0M6XFByb2dyYW0gRmlsZXMgKHg4NilcTWljcm9zb2Z0IEFTUC5ORVRcQVNQLk5FVCBXZWIgUGFnZXNcdjEuMFw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxXaW5kb3dzIEtpdHNcOC4wXFdpbmRvd3MgUGVyZm9ybWFuY2UgVG9vbGtpdFw7QzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMTBcVG9vbHNcQmlublw7QzpcUHJvZ3JhbSBGaWxlc1xUb3J0b2lzZVNWTlxiaW47YzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcVG9vbHNcQmlublw7YzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcVG9vbHNcQmlublw7YzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcRFRTXEJpbm5cO2M6XEFwYWNoZTI0O2M6XEFwYWNoZTI0XGJpbjs=]]></property><property name="SystemRoot" fullname="$_SERVER[&#39;SystemRoot&#39;]" address="59693080" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="COMSPEC" fullname="$_SERVER[&#39;COMSPEC&#39;]" address="59693328" type="string" size="27" encoding="base64"><![CDATA[QzpcV2luZG93c1xzeXN0ZW0zMlxjbWQuZXhl]]></property><property name="PATHEXT" fullname="$_SERVER[&#39;PATHEXT&#39;]" address="59693632" type="string" size="53" encoding="base64"><![CDATA[LkNPTTsuRVhFOy5CQVQ7LkNNRDsuVkJTOy5WQkU7LkpTOy5KU0U7LldTRjsuV1NIOy5NU0M=]]></property><property name="WINDIR" fullname="$_SERVER[&#39;WINDIR&#39;]" address="59693832" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" address="59694064" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" address="59694328" type="string" size="30" encoding="base64"><![CDATA[QXBhY2hlLzIuNC42IChXaW4zMikgUEhQLzUuNS41]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" address="59694560" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" address="59694768" type="string" size="3" encoding="base64"><![CDATA[Ojox]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" address="59695112" type="string" size="2" encoding="base64"><![CDATA[ODA=]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" address="59695456" type="string" size="3" encoding="base64"><![CDATA[Ojox]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="59695704" type="string" size="18" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2Nz]]></property><property name="REQUEST_SCHEME" fullname="$_SERVER[&#39;REQUEST_SCHEME&#39;]" address="59695928" type="string" size="4" encoding="base64"><![CDATA[aHR0cA==]]></property><property name="CONTEXT_PREFIX" fullname="$_SERVER[&#39;CONTEXT_PREFIX&#39;]" address="59696152" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="CONTEXT_DOCUMENT_ROOT" fullname="$_SERVER[&#39;CONTEXT_DOCUMENT_ROOT&#39;]" address="59696376" type="string" size="18" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2Nz]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" address="59696536" type="string" size="17" encoding="base64"><![CDATA[YWRtaW5AZXhhbXBsZS5jb20=]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="59696824" type="string" size="36" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2NzL1BIUERlbW8vaW5kZXgucGhw]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" address="59697040" type="string" size="5" encoding="base64"><![CDATA[NjQyNzg=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" address="59697288" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" address="59697496" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" address="59697720" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" address="59698040" type="string" size="52" encoding="base64"><![CDATA[WERFQlVHX1NFU1NJT05fU1RBUlQ9RUNMSVBTRV9EQkdQJktFWT0xMzg2MjYxNDU1OTgyMQ==]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" address="59698384" type="string" size="71" encoding="base64"><![CDATA[L1BIUERlbW8vaW5kZXgucGhwP1hERUJVR19TRVNTSU9OX1NUQVJUPUVDTElQU0VfREJHUCZLRVk9MTM4NjI2MTQ1NTk4MjE=]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="59698624" type="string" size="18" encoding="base64"><![CDATA[L1BIUERlbW8vaW5kZXgucGhw]]></property></property></response>

<- context_get -i 28 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="28" context="0"><property name="::" fullname="::" type="object" classname="SimpleClass" children="1" numchildren="1"><property name="::hello" fullname="::hello" address="59705080" type="null" facet="static public"></property></property></response>

<- step_into -i 29
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="29" status="break" reason="ok"><xdebug:message filename="file:///C:/Apache24/htdocs/PHPDemo/SimpleClass.php" lineno="13"></xdebug:message></response>

<- stack_get -i 30
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="30"><stack where="SimpleClass::displayVar" level="0" type="file" filename="file:///C:/Apache24/htdocs/PHPDemo/SimpleClass.php" lineno="13"></stack><stack where="SimpleClass::init" level="1" type="file" filename="file:///C:/Apache24/htdocs/PHPDemo/SimpleClass.php" lineno="8"></stack><stack where="{main}" level="2" type="file" filename="file:///C:/Apache24/htdocs/PHPDemo/index.php" lineno="4"></stack></response>

<- context_get -i 31 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="31" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="59688696" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_ENV" fullname="$_ENV" address="59688968" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_FILES" fullname="$_FILES" address="59688832" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_GET" fullname="$_GET" address="59687416" type="array" children="1" numchildren="2" page="0" pagesize="31"><property name="XDEBUG_SESSION_START" fullname="$_GET[&#39;XDEBUG_SESSION_START&#39;]" address="59687904" type="string" size="12" encoding="base64"><![CDATA[RUNMSVBTRV9EQkdQ]]></property><property name="KEY" fullname="$_GET[&#39;KEY&#39;]" address="59688160" type="string" size="14" encoding="base64"><![CDATA[MTM4NjI2MTQ1NTk4MjE=]]></property></property><property name="$_POST" fullname="$_POST" address="59688560" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_REQUEST" fullname="$_REQUEST" address="59689104" type="array" children="1" numchildren="2" page="0" pagesize="31"><property name="XDEBUG_SESSION_START" fullname="$_REQUEST[&#39;XDEBUG_SESSION_START&#39;]" address="59687904" type="string" size="12" encoding="base64"><![CDATA[RUNMSVBTRV9EQkdQ]]></property><property name="KEY" fullname="$_REQUEST[&#39;KEY&#39;]" address="59688160" type="string" size="14" encoding="base64"><![CDATA[MTM4NjI2MTQ1NTk4MjE=]]></property></property><property name="$_SERVER" fullname="$_SERVER" address="59689400" type="array" children="1" numchildren="34" page="0" pagesize="31"><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" address="59689736" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" address="59690072" type="string" size="72" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgNi4yOyBXT1c2NDsgcnY6MjUuMCkgR2Vja28vMjAxMDAxMDEgRmlyZWZveC8yNS4w]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" address="59690400" type="string" size="63" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksKi8qO3E9MC44]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" address="59690648" type="string" size="14" encoding="base64"><![CDATA[ZW4tVVMsZW47cT0wLjU=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" address="59690904" type="string" size="13" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZQ==]]></property><property name="HTTP_DNT" fullname="$_SERVER[&#39;HTTP_DNT&#39;]" address="59691104" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" address="59691336" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="59692784" type="string" size="611" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xDb2xsYWJOZXRcU3VidmVyc2lvbiBDbGllbnQ7QzpcV2luZG93c1xzeXN0ZW0zMjtDOlxXaW5kb3dzO0M6XFdpbmRvd3NcU3lzdGVtMzJcV2JlbTtDOlxXaW5kb3dzXFN5c3RlbTMyXFdpbmRvd3NQb3dlclNoZWxsXHYxLjBcO0M6XFByb2dyYW0gRmlsZXNcTWljcm9zb2Z0XFdlYiBQbGF0Zm9ybSBJbnN0YWxsZXJcO0M6XFByb2dyYW0gRmlsZXMgKHg4NilcTWljcm9zb2Z0IEFTUC5ORVRcQVNQLk5FVCBXZWIgUGFnZXNcdjEuMFw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxXaW5kb3dzIEtpdHNcOC4wXFdpbmRvd3MgUGVyZm9ybWFuY2UgVG9vbGtpdFw7QzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMTBcVG9vbHNcQmlublw7QzpcUHJvZ3JhbSBGaWxlc1xUb3J0b2lzZVNWTlxiaW47YzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcVG9vbHNcQmlublw7YzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcVG9vbHNcQmlublw7YzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcRFRTXEJpbm5cO2M6XEFwYWNoZTI0O2M6XEFwYWNoZTI0XGJpbjs=]]></property><property name="SystemRoot" fullname="$_SERVER[&#39;SystemRoot&#39;]" address="59693080" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="COMSPEC" fullname="$_SERVER[&#39;COMSPEC&#39;]" address="59693328" type="string" size="27" encoding="base64"><![CDATA[QzpcV2luZG93c1xzeXN0ZW0zMlxjbWQuZXhl]]></property><property name="PATHEXT" fullname="$_SERVER[&#39;PATHEXT&#39;]" address="59693632" type="string" size="53" encoding="base64"><![CDATA[LkNPTTsuRVhFOy5CQVQ7LkNNRDsuVkJTOy5WQkU7LkpTOy5KU0U7LldTRjsuV1NIOy5NU0M=]]></property><property name="WINDIR" fullname="$_SERVER[&#39;WINDIR&#39;]" address="59693832" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" address="59694064" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" address="59694328" type="string" size="30" encoding="base64"><![CDATA[QXBhY2hlLzIuNC42IChXaW4zMikgUEhQLzUuNS41]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" address="59694560" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" address="59694768" type="string" size="3" encoding="base64"><![CDATA[Ojox]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" address="59695112" type="string" size="2" encoding="base64"><![CDATA[ODA=]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" address="59695456" type="string" size="3" encoding="base64"><![CDATA[Ojox]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="59695704" type="string" size="18" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2Nz]]></property><property name="REQUEST_SCHEME" fullname="$_SERVER[&#39;REQUEST_SCHEME&#39;]" address="59695928" type="string" size="4" encoding="base64"><![CDATA[aHR0cA==]]></property><property name="CONTEXT_PREFIX" fullname="$_SERVER[&#39;CONTEXT_PREFIX&#39;]" address="59696152" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="CONTEXT_DOCUMENT_ROOT" fullname="$_SERVER[&#39;CONTEXT_DOCUMENT_ROOT&#39;]" address="59696376" type="string" size="18" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2Nz]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" address="59696536" type="string" size="17" encoding="base64"><![CDATA[YWRtaW5AZXhhbXBsZS5jb20=]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="59696824" type="string" size="36" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2NzL1BIUERlbW8vaW5kZXgucGhw]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" address="59697040" type="string" size="5" encoding="base64"><![CDATA[NjQyNzg=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" address="59697288" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" address="59697496" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" address="59697720" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" address="59698040" type="string" size="52" encoding="base64"><![CDATA[WERFQlVHX1NFU1NJT05fU1RBUlQ9RUNMSVBTRV9EQkdQJktFWT0xMzg2MjYxNDU1OTgyMQ==]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" address="59698384" type="string" size="71" encoding="base64"><![CDATA[L1BIUERlbW8vaW5kZXgucGhwP1hERUJVR19TRVNTSU9OX1NUQVJUPUVDTElQU0VfREJHUCZLRVk9MTM4NjI2MTQ1NTk4MjE=]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="59698624" type="string" size="18" encoding="base64"><![CDATA[L1BIUERlbW8vaW5kZXgucGhw]]></property></property></response>

<- context_get -i 32 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="32" context="0"><property name="$hello" fullname="$hello" type="uninitialized"></property><property name="::" fullname="::" type="object" classname="SimpleClass" children="1" numchildren="1"><property name="::hello" fullname="::hello" address="59705080" type="null" facet="static public"></property></property></response>

<- property_get -i 33 -n $hello -d 0 -p 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="33" status="break" reason="ok"><error code="300"><message><![CDATA[can not get property]]></message></error></response>

<- step_over -i 34
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_over" transaction_id="34" status="break" reason="ok"><xdebug:message filename="file:///C:/Apache24/htdocs/PHPDemo/SimpleClass.php" lineno="14"></xdebug:message></response>

<- stack_get -i 35
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="35"><stack where="SimpleClass::displayVar" level="0" type="file" filename="file:///C:/Apache24/htdocs/PHPDemo/SimpleClass.php" lineno="14"></stack><stack where="SimpleClass::init" level="1" type="file" filename="file:///C:/Apache24/htdocs/PHPDemo/SimpleClass.php" lineno="8"></stack><stack where="{main}" level="2" type="file" filename="file:///C:/Apache24/htdocs/PHPDemo/index.php" lineno="4"></stack></response>

<- context_get -i 36 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="36" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="59688696" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_ENV" fullname="$_ENV" address="59688968" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_FILES" fullname="$_FILES" address="59688832" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_GET" fullname="$_GET" address="59687416" type="array" children="1" numchildren="2" page="0" pagesize="31"><property name="XDEBUG_SESSION_START" fullname="$_GET[&#39;XDEBUG_SESSION_START&#39;]" address="59687904" type="string" size="12" encoding="base64"><![CDATA[RUNMSVBTRV9EQkdQ]]></property><property name="KEY" fullname="$_GET[&#39;KEY&#39;]" address="59688160" type="string" size="14" encoding="base64"><![CDATA[MTM4NjI2MTQ1NTk4MjE=]]></property></property><property name="$_POST" fullname="$_POST" address="59688560" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_REQUEST" fullname="$_REQUEST" address="59689104" type="array" children="1" numchildren="2" page="0" pagesize="31"><property name="XDEBUG_SESSION_START" fullname="$_REQUEST[&#39;XDEBUG_SESSION_START&#39;]" address="59687904" type="string" size="12" encoding="base64"><![CDATA[RUNMSVBTRV9EQkdQ]]></property><property name="KEY" fullname="$_REQUEST[&#39;KEY&#39;]" address="59688160" type="string" size="14" encoding="base64"><![CDATA[MTM4NjI2MTQ1NTk4MjE=]]></property></property><property name="$_SERVER" fullname="$_SERVER" address="59689400" type="array" children="1" numchildren="34" page="0" pagesize="31"><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" address="59689736" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" address="59690072" type="string" size="72" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgNi4yOyBXT1c2NDsgcnY6MjUuMCkgR2Vja28vMjAxMDAxMDEgRmlyZWZveC8yNS4w]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" address="59690400" type="string" size="63" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksKi8qO3E9MC44]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" address="59690648" type="string" size="14" encoding="base64"><![CDATA[ZW4tVVMsZW47cT0wLjU=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" address="59690904" type="string" size="13" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZQ==]]></property><property name="HTTP_DNT" fullname="$_SERVER[&#39;HTTP_DNT&#39;]" address="59691104" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" address="59691336" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="59692784" type="string" size="611" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xDb2xsYWJOZXRcU3VidmVyc2lvbiBDbGllbnQ7QzpcV2luZG93c1xzeXN0ZW0zMjtDOlxXaW5kb3dzO0M6XFdpbmRvd3NcU3lzdGVtMzJcV2JlbTtDOlxXaW5kb3dzXFN5c3RlbTMyXFdpbmRvd3NQb3dlclNoZWxsXHYxLjBcO0M6XFByb2dyYW0gRmlsZXNcTWljcm9zb2Z0XFdlYiBQbGF0Zm9ybSBJbnN0YWxsZXJcO0M6XFByb2dyYW0gRmlsZXMgKHg4NilcTWljcm9zb2Z0IEFTUC5ORVRcQVNQLk5FVCBXZWIgUGFnZXNcdjEuMFw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxXaW5kb3dzIEtpdHNcOC4wXFdpbmRvd3MgUGVyZm9ybWFuY2UgVG9vbGtpdFw7QzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMTBcVG9vbHNcQmlublw7QzpcUHJvZ3JhbSBGaWxlc1xUb3J0b2lzZVNWTlxiaW47YzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcVG9vbHNcQmlublw7YzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcVG9vbHNcQmlublw7YzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcRFRTXEJpbm5cO2M6XEFwYWNoZTI0O2M6XEFwYWNoZTI0XGJpbjs=]]></property><property name="SystemRoot" fullname="$_SERVER[&#39;SystemRoot&#39;]" address="59693080" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="COMSPEC" fullname="$_SERVER[&#39;COMSPEC&#39;]" address="59693328" type="string" size="27" encoding="base64"><![CDATA[QzpcV2luZG93c1xzeXN0ZW0zMlxjbWQuZXhl]]></property><property name="PATHEXT" fullname="$_SERVER[&#39;PATHEXT&#39;]" address="59693632" type="string" size="53" encoding="base64"><![CDATA[LkNPTTsuRVhFOy5CQVQ7LkNNRDsuVkJTOy5WQkU7LkpTOy5KU0U7LldTRjsuV1NIOy5NU0M=]]></property><property name="WINDIR" fullname="$_SERVER[&#39;WINDIR&#39;]" address="59693832" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" address="59694064" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" address="59694328" type="string" size="30" encoding="base64"><![CDATA[QXBhY2hlLzIuNC42IChXaW4zMikgUEhQLzUuNS41]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" address="59694560" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" address="59694768" type="string" size="3" encoding="base64"><![CDATA[Ojox]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" address="59695112" type="string" size="2" encoding="base64"><![CDATA[ODA=]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" address="59695456" type="string" size="3" encoding="base64"><![CDATA[Ojox]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="59695704" type="string" size="18" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2Nz]]></property><property name="REQUEST_SCHEME" fullname="$_SERVER[&#39;REQUEST_SCHEME&#39;]" address="59695928" type="string" size="4" encoding="base64"><![CDATA[aHR0cA==]]></property><property name="CONTEXT_PREFIX" fullname="$_SERVER[&#39;CONTEXT_PREFIX&#39;]" address="59696152" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="CONTEXT_DOCUMENT_ROOT" fullname="$_SERVER[&#39;CONTEXT_DOCUMENT_ROOT&#39;]" address="59696376" type="string" size="18" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2Nz]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" address="59696536" type="string" size="17" encoding="base64"><![CDATA[YWRtaW5AZXhhbXBsZS5jb20=]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="59696824" type="string" size="36" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2NzL1BIUERlbW8vaW5kZXgucGhw]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" address="59697040" type="string" size="5" encoding="base64"><![CDATA[NjQyNzg=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" address="59697288" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" address="59697496" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" address="59697720" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" address="59698040" type="string" size="52" encoding="base64"><![CDATA[WERFQlVHX1NFU1NJT05fU1RBUlQ9RUNMSVBTRV9EQkdQJktFWT0xMzg2MjYxNDU1OTgyMQ==]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" address="59698384" type="string" size="71" encoding="base64"><![CDATA[L1BIUERlbW8vaW5kZXgucGhwP1hERUJVR19TRVNTSU9OX1NUQVJUPUVDTElQU0VfREJHUCZLRVk9MTM4NjI2MTQ1NTk4MjE=]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="59698624" type="string" size="18" encoding="base64"><![CDATA[L1BIUERlbW8vaW5kZXgucGhw]]></property></property></response>

<- context_get -i 37 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="37" context="0"><property name="$hello" fullname="$hello" type="uninitialized"></property><property name="::" fullname="::" type="object" classname="SimpleClass" children="1" numchildren="1"><property name="::hello" fullname="::hello" address="59705080" type="string" size="5" facet="static public" encoding="base64"><![CDATA[SEVMTE8=]]></property></property></response>

<- property_get -i 38 -n $hello -d 0 -p 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="38" status="break" reason="ok"><error code="300"><message><![CDATA[can not get property]]></message></error></response>

<- step_over -i 39
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_over" transaction_id="39" status="break" reason="ok"><xdebug:message filename="file:///C:/Apache24/htdocs/PHPDemo/index.php" lineno="5"></xdebug:message></response>

<- stack_get -i 40
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="40"><stack where="{main}" level="0" type="file" filename="file:///C:/Apache24/htdocs/PHPDemo/index.php" lineno="5"></stack></response>

<- context_get -i 41 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="41" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="59688696" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_ENV" fullname="$_ENV" address="59688968" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_FILES" fullname="$_FILES" address="59688832" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_GET" fullname="$_GET" address="59687416" type="array" children="1" numchildren="2" page="0" pagesize="31"><property name="XDEBUG_SESSION_START" fullname="$_GET[&#39;XDEBUG_SESSION_START&#39;]" address="59687904" type="string" size="12" encoding="base64"><![CDATA[RUNMSVBTRV9EQkdQ]]></property><property name="KEY" fullname="$_GET[&#39;KEY&#39;]" address="59688160" type="string" size="14" encoding="base64"><![CDATA[MTM4NjI2MTQ1NTk4MjE=]]></property></property><property name="$_POST" fullname="$_POST" address="59688560" type="array" children="0" numchildren="0" page="0" pagesize="31"></property><property name="$_REQUEST" fullname="$_REQUEST" address="59689104" type="array" children="1" numchildren="2" page="0" pagesize="31"><property name="XDEBUG_SESSION_START" fullname="$_REQUEST[&#39;XDEBUG_SESSION_START&#39;]" address="59687904" type="string" size="12" encoding="base64"><![CDATA[RUNMSVBTRV9EQkdQ]]></property><property name="KEY" fullname="$_REQUEST[&#39;KEY&#39;]" address="59688160" type="string" size="14" encoding="base64"><![CDATA[MTM4NjI2MTQ1NTk4MjE=]]></property></property><property name="$_SERVER" fullname="$_SERVER" address="59689400" type="array" children="1" numchildren="34" page="0" pagesize="31"><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" address="59689736" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" address="59690072" type="string" size="72" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgNi4yOyBXT1c2NDsgcnY6MjUuMCkgR2Vja28vMjAxMDAxMDEgRmlyZWZveC8yNS4w]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" address="59690400" type="string" size="63" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksKi8qO3E9MC44]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" address="59690648" type="string" size="14" encoding="base64"><![CDATA[ZW4tVVMsZW47cT0wLjU=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" address="59690904" type="string" size="13" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZQ==]]></property><property name="HTTP_DNT" fullname="$_SERVER[&#39;HTTP_DNT&#39;]" address="59691104" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" address="59691336" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="59692784" type="string" size="611" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xDb2xsYWJOZXRcU3VidmVyc2lvbiBDbGllbnQ7QzpcV2luZG93c1xzeXN0ZW0zMjtDOlxXaW5kb3dzO0M6XFdpbmRvd3NcU3lzdGVtMzJcV2JlbTtDOlxXaW5kb3dzXFN5c3RlbTMyXFdpbmRvd3NQb3dlclNoZWxsXHYxLjBcO0M6XFByb2dyYW0gRmlsZXNcTWljcm9zb2Z0XFdlYiBQbGF0Zm9ybSBJbnN0YWxsZXJcO0M6XFByb2dyYW0gRmlsZXMgKHg4NilcTWljcm9zb2Z0IEFTUC5ORVRcQVNQLk5FVCBXZWIgUGFnZXNcdjEuMFw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxXaW5kb3dzIEtpdHNcOC4wXFdpbmRvd3MgUGVyZm9ybWFuY2UgVG9vbGtpdFw7QzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMTBcVG9vbHNcQmlublw7QzpcUHJvZ3JhbSBGaWxlc1xUb3J0b2lzZVNWTlxiaW47YzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcVG9vbHNcQmlublw7YzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcVG9vbHNcQmlublw7YzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgU1FMIFNlcnZlclwxMDBcRFRTXEJpbm5cO2M6XEFwYWNoZTI0O2M6XEFwYWNoZTI0XGJpbjs=]]></property><property name="SystemRoot" fullname="$_SERVER[&#39;SystemRoot&#39;]" address="59693080" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="COMSPEC" fullname="$_SERVER[&#39;COMSPEC&#39;]" address="59693328" type="string" size="27" encoding="base64"><![CDATA[QzpcV2luZG93c1xzeXN0ZW0zMlxjbWQuZXhl]]></property><property name="PATHEXT" fullname="$_SERVER[&#39;PATHEXT&#39;]" address="59693632" type="string" size="53" encoding="base64"><![CDATA[LkNPTTsuRVhFOy5CQVQ7LkNNRDsuVkJTOy5WQkU7LkpTOy5KU0U7LldTRjsuV1NIOy5NU0M=]]></property><property name="WINDIR" fullname="$_SERVER[&#39;WINDIR&#39;]" address="59693832" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" address="59694064" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" address="59694328" type="string" size="30" encoding="base64"><![CDATA[QXBhY2hlLzIuNC42IChXaW4zMikgUEhQLzUuNS41]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" address="59694560" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" address="59694768" type="string" size="3" encoding="base64"><![CDATA[Ojox]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" address="59695112" type="string" size="2" encoding="base64"><![CDATA[ODA=]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" address="59695456" type="string" size="3" encoding="base64"><![CDATA[Ojox]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="59695704" type="string" size="18" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2Nz]]></property><property name="REQUEST_SCHEME" fullname="$_SERVER[&#39;REQUEST_SCHEME&#39;]" address="59695928" type="string" size="4" encoding="base64"><![CDATA[aHR0cA==]]></property><property name="CONTEXT_PREFIX" fullname="$_SERVER[&#39;CONTEXT_PREFIX&#39;]" address="59696152" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="CONTEXT_DOCUMENT_ROOT" fullname="$_SERVER[&#39;CONTEXT_DOCUMENT_ROOT&#39;]" address="59696376" type="string" size="18" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2Nz]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" address="59696536" type="string" size="17" encoding="base64"><![CDATA[YWRtaW5AZXhhbXBsZS5jb20=]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="59696824" type="string" size="36" encoding="base64"><![CDATA[QzovQXBhY2hlMjQvaHRkb2NzL1BIUERlbW8vaW5kZXgucGhw]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" address="59697040" type="string" size="5" encoding="base64"><![CDATA[NjQyNzg=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" address="59697288" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" address="59697496" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" address="59697720" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" address="59698040" type="string" size="52" encoding="base64"><![CDATA[WERFQlVHX1NFU1NJT05fU1RBUlQ9RUNMSVBTRV9EQkdQJktFWT0xMzg2MjYxNDU1OTgyMQ==]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" address="59698384" type="string" size="71" encoding="base64"><![CDATA[L1BIUERlbW8vaW5kZXgucGhwP1hERUJVR19TRVNTSU9OX1NUQVJUPUVDTElQU0VfREJHUCZLRVk9MTM4NjI2MTQ1NTk4MjE=]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="59698624" type="string" size="18" encoding="base64"><![CDATA[L1BIUERlbW8vaW5kZXgucGhw]]></property></property></response>

<- context_get -i 42 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="42" context="0"></response>

<- step_over -i 43
-> <stream xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" type="stdout" encoding="base64"><![CDATA[SEVMTE8=]]></stream>

-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_over" transaction_id="43" status="stopping" reason="ok"></response>

<- stop -i 44
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stop" transaction_id="44" status="stopped" reason="ok"></response>

Log closed at 2013-12-05 16:38:37

debug_log.txt (78,632 bytes)

prxdev

2013-12-05 16:42

reporter   ~0002639

I ran the debug on Eclipse as requested and attached the log file.

prxdev

2013-12-05 16:45

reporter   ~0002640

One more note, this report was ran on the Windows / Apapche 2.4 / PHP 5.5.5 configuration

derick

2013-12-05 17:06

administrator   ~0002641

I don't think the line numbers in the log match up with the line numbers in the script. This makes it a bit tricky to follow the log. Can you add the exact script that you used to make this log please too just to be sure?

That said, I think eclipse just does it wrong. It requests first the context (which shows all the variables in the local scope). This returns (see "context get -i 37" in the log):

 - "$hello": This is a PHP compilation issue, as there is no local variable. For some reason PHP's compiler sees that self::$hello as $hello and assigns it a compiled variable. I can't do anything about this. Of course, requesting this variable, which is what Eclipse seems to do, returns *uninitialised*.
 - "::": this variable name (::) is an indication that there are static variables.
   - "::hello": is also returned as subelement of "::". Requesting "::hello" will return the value of your static variable, which is HELLO. However, Eclipse apparently doesn't interpret "self::$hello" as "::$hello". And that is a bug in Eclipse

I suggest you file a bug with Eclipse about it not requesting "::$hello" when it is supposed to do so. I'll leave the bug open to have a look at your new script, but I think my conclusion that this is an Eclipse issue will not change.

prxdev

2013-12-05 17:11

reporter  

PHPDemo.zip (2,572 bytes)

prxdev

2013-12-05 17:12

reporter   ~0002642

I have attached the entire PHP solution that was created in Eclipse. This also includes the meta files for the solution. ( PHPDemo ).

derick

2013-12-05 17:22

administrator   ~0002644

Ok, thanks for that. It does confirm my conclusion though that this is not something I can fix in Xdebug. For the first thing, its up to PHP. And for the second, it's a bug in Eclipse that it asks for $hello instead of ::$hello. If you file a bug with Eclipse, please feel free to include a link to this report here.

cheers,
Derick

marthasimons

2019-04-18 07:29

reporter   ~0005001

prxdev Thanks
----
0001007 https://tinyurl.com/y5wreyhh

Issue History

Date Modified Username Field Change
2013-11-27 18:11 prxdev New Issue
2013-11-27 18:11 prxdev File Added: uninitialized1.png
2013-12-03 23:57 derick Note Added: 0002629
2013-12-03 23:57 derick Assigned To => derick
2013-12-03 23:57 derick Status new => feedback
2013-12-05 16:41 prxdev File Added: debug_log.txt
2013-12-05 16:42 prxdev Note Added: 0002639
2013-12-05 16:42 prxdev Status feedback => assigned
2013-12-05 16:45 prxdev Note Added: 0002640
2013-12-05 17:06 derick Note Added: 0002641
2013-12-05 17:06 derick Status assigned => feedback
2013-12-05 17:11 prxdev File Added: PHPDemo.zip
2013-12-05 17:12 prxdev Note Added: 0002642
2013-12-05 17:12 prxdev Status feedback => assigned
2013-12-05 17:22 derick Note Added: 0002644
2013-12-05 17:22 derick Status assigned => resolved
2013-12-05 17:22 derick Resolution open => not fixable
2016-07-31 12:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 12:35 derick Category debugclient (debugging tool) => (No Category)
2019-04-18 07:29 marthasimons Note Added: 0005001